Bug 1086978 - T440s with three monitors on dock (vga, DP -> DVI, DVI) mirrors output [NEEDINFO]
T440s with three monitors on dock (vga, DP -> DVI, DVI) mirrors output
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 0ad (Show other bugs)
20
All Linux
high Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On: 1074025 1103544
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-12 04:42 EDT by Pablo Iranzo Gómez
Modified: 2015-06-29 16:03 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 16:03:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dspurek: needinfo? (airlied)


Attachments (Terms of Use)
Docking manual with shown setup for three monitors on the right side (2.64 MB, image/jpeg)
2014-04-14 04:46 EDT, Pablo Iranzo Gómez
no flags Details

  None (edit)
Description Pablo Iranzo Gómez 2014-04-12 04:42:56 EDT
Description of problem:

Hi,
When using a docking station with T440s, gnome, xrandr, disper, etc only recognize two outputs, the internal screen (powered off when lid close), and one external monitor.

Three exits are working, but showing the same image at the same time instead of different screens in order to extend desktop.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.15-5.fc20.x86_64
kernel-3.13.9-200.fc20.x86_64

How reproducible:
Start computer with three monitors using VGA and DVI and DP->DVI connected to docking station.

Actual results:
Image is mirrored and gnome, xrandr, disper show just two outputs:

[iranzo@x201 ~]$ disper  -l
xdisplay eDP1: eDP1
 resolutions: 640x480, 800x600, 1024x768, 1280x960, 1280x1024, 1400x1050, 1920x1080
display DP2: DP2
 resolutions: 720x400, 640x480, 800x600, 832x624, 1024x768, 1152x864, 2560x1024, 1280x1024
[iranzo@x201 ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
eDP1 connected (normal left inverted right x axis y axis)
   1920x1080      60.0 +
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 connected primary 1280x1024+0+0 (normal left inverted right x axis y axis) 380mm x 300mm
   1280x1024      60.0*+   75.0  
   2560x1024      60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        75.0     72.8     60.0  
   720x400        70.1  
HDMI2 disconnected (normal left inverted right x axis y axis)


Expected results:

- Three monitors that could be used separately to extend desktop
Comment 1 Pablo Iranzo Gómez 2014-04-12 04:45:48 EDT
BIOS Information
        Vendor: LENOVO
        Version: GJET75WW (2.25 )
        Release Date: 03/28/2014
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 16384 kB
        Characteristics:
                PCI is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 2.25
        Firmware Revision: 1.9
Comment 3 Pablo Iranzo Gómez 2014-04-14 04:46:37 EDT
Created attachment 886068 [details]
Docking manual with shown setup for three monitors on the right side
Comment 4 Mike Kolesnik 2014-04-28 06:26:38 EDT
This is also happening to me on the Pro Dock with one screen connected to the DVI port and another one connected  to the D-SUB.
Comment 5 James (purpleidea) 2014-04-29 12:11:48 EDT
Confirmed over here on F20. Lenovo t440s.
Comment 6 Pablo Iranzo Gómez 2014-05-23 04:21:40 EDT
http://copr.fedoraproject.org/coprs/airlied/mst/

Confirmed that using that repo and upgrading intel and kernel I can get output on three external monitors at the same time!
Comment 8 James (purpleidea) 2014-05-26 01:41:12 EDT
Running:
https://copr.fedoraproject.org/coprs/airlied/mst/
and... It seems to work! Awesome. Some notes:

* Had to disable secure boot because the kernel isn't signed.
* Laptop screen + two external screens (both via display port) works!
* Unplugging/replugging a monitor made it disappear (only laptop and one
screen shown). Restarting X didn't make it re-appear. I rebooted and now
it is working again. I did this because I wanted to re-order the
monitors.
* Using this COPR in conjunction with the GNOME 3.12 COPR on Fedora 20
w/ btrfs. (Yeah, I'm asking for trouble, but if this laptop burns up in
flames, maybe I'll get one that doesn't have a defective trackpad :P)
* Didn't test suspend/resume.
* Tail of dmesg that looked interesting:

[  273.871270] ------------[ cut here ]------------
[  273.871344] WARNING: CPU: 2 PID: 1201 at
drivers/gpu/drm/i915/intel_display.c:4443 intel_modeset_check_state
+0x7a8/0x7d0 [i915]()
[  273.871347] active connector not linked to encoder
[  273.871350] Modules linked in: rfcomm fuse ipt_MASQUERADE xt_CHECKSUM
tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat
ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat
nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle
ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat
nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack
iptable_mangle iptable_security iptable_raw arc4 rtsx_pci_ms iTCO_wdt
rtsx_pci_sdmmc iTCO_vendor_support mmc_core memstick vfat fat
x86_pkg_temp_thermal coretemp kvm_intel kvm microcode iwlmvm mac80211
uvcvideo joydev snd_hda_codec_realtek snd_hda_codec_generic serio_raw
iwlwifi videobuf2_vmalloc videobuf2_memops videobuf2_core i2c_i801
videodev snd_hda_codec_hdmi media cfg80211 lpc_ich rtsx_pci mfd_core
mei_me
[  273.871424]  mei shpchp btusb snd_hda_intel bluetooth snd_hda_codec
snd_hwdep snd_seq 6lowpan_iphc snd_seq_device snd_pcm snd_timer wmi
thinkpad_acpi snd soundcore rfkill tpm_tis tpm binfmt_misc nfsd
auth_rpcgss nfs_acl lockd sunrpc btrfs xor raid6_pq dm_crypt
hid_logitech_dj crct10dif_pclmul crc32_pclmul crc32c_intel i915 e1000e
ghash_clmulni_intel ptp pps_core i2c_algo_bit drm_kms_helper drm
i2c_core video
[  273.871474] CPU: 2 PID: 1201 Comm: Xorg Not tainted
3.14.4-200.mst.fc20.x86_64 #1
[  273.871478] Hardware name: LENOVO 20ARS11T01/20ARS11T01, BIOS
GJET71WW (2.21 ) 02/10/2014
[  273.871481]  0000000000000000 00000000e09f5000 ffff8802f2285b48
ffffffff816ef1d2
[  273.871488]  ffff8802f2285b90 ffff8802f2285b80 ffffffff8108a1bd
ffff880308c57c00
[  273.871494]  ffff8800d57fa000 ffff880309dbe2e8 ffff8802f2285d58
ffff880309dbe000
[  273.871500] Call Trace:
[  273.871515]  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
[  273.871526]  [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[  273.871534]  [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[  273.871586]  [<ffffffffa0130e88>] intel_modeset_check_state
+0x7a8/0x7d0 [i915]
[  273.871620]  [<ffffffffa0130f45>] intel_set_mode+0x25/0x30 [i915]
[  273.871652]  [<ffffffffa013188f>] intel_crtc_set_config+0x84f/0xa40
[i915]
[  273.871688]  [<ffffffffa002da4d>] drm_mode_set_config_internal
+0x5d/0xe0 [drm]
[  273.871719]  [<ffffffffa0030a97>] drm_mode_setcrtc+0x107/0x610 [drm]
[  273.871742]  [<ffffffffa0021bf2>] drm_ioctl+0x4f2/0x620 [drm]
[  273.871761]  [<ffffffff811fcc30>] do_vfs_ioctl+0x2e0/0x4a0
[  273.871768]  [<ffffffff811fce71>] SyS_ioctl+0x81/0xa0
[  273.871776]  [<ffffffff81121c76>] ? __audit_syscall_exit+0x1f6/0x2a0
[  273.871784]  [<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
[  273.871788] ---[ end trace a09ca21e9c4bb082 ]---
[  273.872366] ------------[ cut here ]------------
[  273.872407] WARNING: CPU: 2 PID: 1201 at
drivers/gpu/drm/i915/intel_display.c:4441 intel_modeset_check_state
+0x7c7/0x7d0 [i915]()
[  273.872409] wrong connector dpms state
[  273.872411] Modules linked in: rfcomm fuse ipt_MASQUERADE xt_CHECKSUM
tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat
ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat
nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle
ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat
nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack
iptable_mangle iptable_security iptable_raw arc4 rtsx_pci_ms iTCO_wdt
rtsx_pci_sdmmc iTCO_vendor_support mmc_core memstick vfat fat
x86_pkg_temp_thermal coretemp kvm_intel kvm microcode iwlmvm mac80211
uvcvideo joydev snd_hda_codec_realtek snd_hda_codec_generic serio_raw
iwlwifi videobuf2_vmalloc videobuf2_memops videobuf2_core i2c_i801
videodev snd_hda_codec_hdmi media cfg80211 lpc_ich rtsx_pci mfd_core
mei_me
[  273.872478]  mei shpchp btusb snd_hda_intel bluetooth snd_hda_codec
snd_hwdep snd_seq 6lowpan_iphc snd_seq_device snd_pcm snd_timer wmi
thinkpad_acpi snd soundcore rfkill tpm_tis tpm binfmt_misc nfsd
auth_rpcgss nfs_acl lockd sunrpc btrfs xor raid6_pq dm_crypt
hid_logitech_dj crct10dif_pclmul crc32_pclmul crc32c_intel i915 e1000e
ghash_clmulni_intel ptp pps_core i2c_algo_bit drm_kms_helper drm
i2c_core video
[  273.872523] CPU: 2 PID: 1201 Comm: Xorg Tainted: G        W
3.14.4-200.mst.fc20.x86_64 #1
[  273.872526] Hardware name: LENOVO 20ARS11T01/20ARS11T01, BIOS
GJET71WW (2.21 ) 02/10/2014
[  273.872529]  0000000000000000 00000000e09f5000 ffff8802f2285c30
ffffffff816ef1d2
[  273.872535]  ffff8802f2285c78 ffff8802f2285c68 ffffffff8108a1bd
ffff880308c57c00
[  273.872541]  ffff8800d57fa000 ffff880309dbe2e8 ffff8800da032190
ffff880309dbe000
[  273.872547] Call Trace:
[  273.872556]  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
[  273.872565]  [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[  273.872572]  [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[  273.872623]  [<ffffffffa0130ea7>] intel_modeset_check_state
+0x7c7/0x7d0 [i915]
[  273.872654]  [<ffffffffa002352f>] ? drm_gem_object_lookup+0x1f/0xb0
[drm]
[  273.872686]  [<ffffffffa0130efa>] intel_connector_dpms+0x4a/0x70
[i915]
[  273.872721]  [<ffffffffa00325e8>] drm_mode_obj_set_property_ioctl
+0x328/0x340 [drm]
[  273.872750]  [<ffffffffa003263f>]
drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[  273.872771]  [<ffffffffa0021bf2>] drm_ioctl+0x4f2/0x620 [drm]
[  273.872789]  [<ffffffff811fcc30>] do_vfs_ioctl+0x2e0/0x4a0
[  273.872801]  [<ffffffff811fce71>] SyS_ioctl+0x81/0xa0
[  273.872808]  [<ffffffff81121c76>] ? __audit_syscall_exit+0x1f6/0x2a0
[  273.872815]  [<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
[  273.872819] ---[ end trace a09ca21e9c4bb083 ]---
[  273.872821] ------------[ cut here ]------------
[  273.872852] WARNING: CPU: 2 PID: 1201 at
drivers/gpu/drm/i915/intel_display.c:4443 intel_modeset_check_state
+0x7a8/0x7d0 [i915]()
[  273.872854] active connector not linked to encoder
[  273.872856] Modules linked in: rfcomm fuse ipt_MASQUERADE xt_CHECKSUM
tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat
ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat
nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle
ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat
nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack
iptable_mangle iptable_security iptable_raw arc4 rtsx_pci_ms iTCO_wdt
rtsx_pci_sdmmc iTCO_vendor_support mmc_core memstick vfat fat
x86_pkg_temp_thermal coretemp kvm_intel kvm microcode iwlmvm mac80211
uvcvideo joydev snd_hda_codec_realtek snd_hda_codec_generic serio_raw
iwlwifi videobuf2_vmalloc videobuf2_memops videobuf2_core i2c_i801
videodev snd_hda_codec_hdmi media cfg80211 lpc_ich rtsx_pci mfd_core
mei_me
[  273.872921]  mei shpchp btusb snd_hda_intel bluetooth snd_hda_codec
snd_hwdep snd_seq 6lowpan_iphc snd_seq_device snd_pcm snd_timer wmi
thinkpad_acpi snd soundcore rfkill tpm_tis tpm binfmt_misc nfsd
auth_rpcgss nfs_acl lockd sunrpc btrfs xor raid6_pq dm_crypt
hid_logitech_dj crct10dif_pclmul crc32_pclmul crc32c_intel i915 e1000e
ghash_clmulni_intel ptp pps_core i2c_algo_bit drm_kms_helper drm
i2c_core video
[  273.872964] CPU: 2 PID: 1201 Comm: Xorg Tainted: G        W
3.14.4-200.mst.fc20.x86_64 #1
[  273.872967] Hardware name: LENOVO 20ARS11T01/20ARS11T01, BIOS
GJET71WW (2.21 ) 02/10/2014
[  273.872969]  0000000000000000 00000000e09f5000 ffff8802f2285c30
ffffffff816ef1d2
[  273.872975]  ffff8802f2285c78 ffff8802f2285c68 ffffffff8108a1bd
ffff880308c57c00
[  273.872981]  ffff8800d57fa000 ffff880309dbe2e8 ffff8800da032190
ffff880309dbe000
[  273.872986] Call Trace:
[  273.872994]  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
[  273.873002]  [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[  273.873009]  [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[  273.873047]  [<ffffffffa0130e88>] intel_modeset_check_state
+0x7a8/0x7d0 [i915]
[  273.873070]  [<ffffffffa002352f>] ? drm_gem_object_lookup+0x1f/0xb0
[drm]
[  273.873099]  [<ffffffffa0130efa>] intel_connector_dpms+0x4a/0x70
[i915]
[  273.873129]  [<ffffffffa00325e8>] drm_mode_obj_set_property_ioctl
+0x328/0x340 [drm]
[  273.873156]  [<ffffffffa003263f>]
drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[  273.873178]  [<ffffffffa0021bf2>] drm_ioctl+0x4f2/0x620 [drm]
[  273.873206]  [<ffffffff811fcc30>] do_vfs_ioctl+0x2e0/0x4a0
[  273.873213]  [<ffffffff811fce71>] SyS_ioctl+0x81/0xa0
[  273.873220]  [<ffffffff81121c76>] ? __audit_syscall_exit+0x1f6/0x2a0
[  273.873227]  [<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
[  273.873230] ---[ end trace a09ca21e9c4bb084 ]---

HTH,
James
Comment 10 James (purpleidea) 2014-05-26 19:20:49 EDT
More information:

After a few hours "sleeping" (you can decide if it was me or the monitors ;)) I came back to my computer and only the laptop display would wake up. The two screens would not. Power cycling them didn't help. The only thing that worked was alt-f2 - r (gnome shell reload). However, this caused them to be re-arranged in a different order. In addition to the MST issue, I think the GNOME displays chooser might be a bit buggy. I don't have any concrete way to reproduce the bugs yet though.

Cheers,
James
Comment 11 Guy Streeter 2014-06-13 11:30:18 EDT
The kernel-3.14.5-200.mst1.fc20.x86_64 kernel in the copr repo does not successfully bring up graphics, even on the laptop screen, on my T540p.
Comment 12 Guy Streeter 2014-06-13 11:33:50 EDT
I should have mentioned in comment 11 that kernel-3.14.5-200.mst.fc20.x86_64 seems to be working fine for me.
Comment 22 Mike Kolesnik 2014-09-16 01:40:59 EDT
Any progress on this?

The copr repo stopped building the latest kernel and what it currently has is 3.15.8-200.mst.fc20 while latest available from updates repo is 3.16.2-200.fc20

3.15.8-200.mst.fc20 is not working for me.. :(
Comment 23 Robin 2014-10-13 01:30:40 EDT
Just wanted to join in and say I'm seeing the same issue with a Dell Latitude E7240 when running Fedora 21 Alpha.

I'm happy to help but I would need to know what kind of information I can provide.
Comment 24 Robin 2014-10-13 01:37:15 EDT
(In reply to Robin from comment #23)
> Just wanted to join in and say I'm seeing the same issue with a Dell
> Latitude E7240 when running Fedora 21 Alpha.
> 
> I'm happy to help but I would need to know what kind of information I can
> provide.

Just upgraded my system and now it seems to be working! Cheers!

Kernel went from 3.16.3 to 3.17 didn't take note of other changes.
Comment 25 Chris Bredesen 2014-10-22 09:32:18 EDT
I have also tested rawhide (F-21 Alpha as Robin says in comment 24) and it works fine for me. But I see the latest F-20 build in Koji is still a 3.16 version ... does this mean it won't be fixed at all in 20?

http://koji.fedoraproject.org/koji/buildinfo?buildID=585583
Comment 26 Chris Bredesen 2014-11-17 10:14:32 EST
Success with a freshly-updated F-20!

kernel-3.17.2-200.fc20.x86_64
Comment 27 Flossy 2014-11-24 10:31:18 EST
I updated as well and all three monitors work off the dock.  However under KDE I get terrible pauses with the mouse every 5 secs or so...  So much so the UI becomes unusable.

I do see this over and over in my /var/log/messages:

Nov 24 10:29:48 redhat-laptop kernel: WARNING: CPU: 5 PID: 124 at drivers/gpu/drm/i915/intel_dp.c:1184 edp_panel_vdd_off+0x97/0xa0 [i915]()
Nov 24 10:29:48 redhat-laptop kernel: eDP VDD not forced on
Nov 24 10:29:48 redhat-laptop kernel: Modules linked in:
Nov 24 10:29:48 redhat-laptop kernel: vhost_net vhost macvtap macvlan nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ccm ipt_MASQUERADE xt_CHECKSUM rfcomm tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 rtsx_pci_sdmmc mmc_core rtsx_pci_ms iTCO_wdt memstick iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel iwlmvm ghash_clmulni_intel mac80211 microcode snd_hda_codec_realtek snd_hda_codec_generic snd_usb_audio snd_hda_codec_hdmi snd_usbmidi_lib
Nov 24 10:29:48 redhat-laptop kernel: snd_rawmidi uvcvideo iwlwifi snd_hda_intel videobuf2_vmalloc snd_hda_controller videobuf2_memops videobuf2_core snd_hda_codec hid_logitech_dj cfg80211 i2c_i801 serio_raw lpc_ich snd_hwdep videodev btusb snd_seq rtsx_pci bluetooth media snd_seq_device mfd_core shpchp snd_pcm mei_me mei snd_timer wmi thinkpad_acpi snd soundcore rfkill nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper e1000e drm ptp i2c_core pps_core video
Nov 24 10:29:48 redhat-laptop kernel: CPU: 5 PID: 124 Comm: kworker/5:1 Tainted: G        W     3.15.8-200.mst.fc20.x86_64 #1
Nov 24 10:29:48 redhat-laptop kernel: Hardware name: LENOVO 20BFS0EC00/20BFS0EC00, BIOS GMET31WW (1.11 ) 10/16/2013
Nov 24 10:29:48 redhat-laptop kernel: Workqueue: events i915_hotplug_work_func [i915]
Nov 24 10:29:48 redhat-laptop kernel: 0000000000000000 00000000d4a6e242 ffff8804050c7c78 ffffffff816ef9ae
Nov 24 10:29:48 redhat-laptop kernel: ffff8804050c7cc0 ffff8804050c7cb0 ffffffff8108933d ffff880407c070d0
Nov 24 10:29:48 redhat-laptop kernel: 0000000000000000 0000000000000011 ffff880407c07000 0000000000000001
Nov 24 10:29:48 redhat-laptop kernel: Call Trace:
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff816ef9ae>] dump_stack+0x45/0x56
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffffa00e1ebb>] ? drm_dp_dpcd_read+0x1b/0x20 [drm_kms_helper]
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffffa0162737>] edp_panel_vdd_off+0x97/0xa0 [i915]
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffffa0164b4d>] intel_dp_probe_oui.part.16+0x6d/0xf0 [i915]
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffffa0164f59>] intel_dp_detect+0x2a9/0x2e0 [i915]
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffffa01245c4>] i915_hotplug_work_func+0x224/0x340 [i915]
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810a4af6>] process_one_work+0x176/0x430
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810a578b>] worker_thread+0x11b/0x3a0
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810a5670>] ? rescuer_thread+0x3b0/0x3b0
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810ac528>] kthread+0xd8/0xf0
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff816ff93c>] ret_from_fork+0x7c/0xb0
Nov 24 10:29:48 redhat-laptop kernel: [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
Nov 24 10:29:48 redhat-laptop kernel: ---[ end trace 5e4485aa5f023480 ]---
Comment 28 Flossy 2014-11-24 10:32:31 EST
Sorry above that was for sure using 3.15.8-200.mst.fc20.x86_64 - but I saw similar stuff when using the latest.  Using 3.15.8-200.mst.fc20.x86_64 I don't ever see the pause in the UI.
Comment 29 Flossy 2014-11-24 10:40:01 EST
So to be clear, using 3.17.3-200.fc20.x86_64 I get the pauses.  I don't get the pauses using 3.15.8-200.mst.fc20.x86_64.

I do see similar data emitted in my /var/log/messages as what I posted in Comment #27.
Comment 30 Flossy 2014-11-25 07:12:59 EST
This morning I booted up my T540p using kernel 3.17.3-200.fc20.x86_64.  The pause happens every 4 secs (that's me moving the mouse around and counting one one thousand - not very scientific)...

I wanted to provide more specific information (and be sure) that logging was truely similar...  So to be specific:

  - Lenovo T540p (16 GB RAM)
  - KDE 4.14.3
  - Kernel 3.17.3-200.fc20.x86_64
  - Fedora 20

When the pause happens, this is what I see in /var/log/messages:

Nov 25 06:04:49 redhat-laptop kernel: [   70.795594] ------------[ cut here ]------------
Nov 25 06:04:49 redhat-laptop kernel: [   70.795697] WARNING: CPU: 5 PID: 136 at drivers/gpu/drm/i915/intel_dp.c:1235 intel_edp_panel_vdd_on+0x38/0x40 [i915]()
Nov 25 06:04:49 redhat-laptop kernel: [   70.795702] eDP VDD already requested on
Nov 25 06:04:49 redhat-laptop kernel: [   70.795706] Modules linked in: ccm ipt_MASQUERADE rfcomm xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 rtsx_pci_sdmmc iTCO_wdt mmc_core rtsx_pci_ms memstick iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm iwlmvm mac80211 snd_hda_codec_realtek crct10dif_pclmul snd_hda_codec_generic crc32_pclmul snd_hda_codec_hdmi crc32c_intel uvcvideo snd_hda_intel snd_usb_audio videobuf2_vmalloc videobuf2_memops snd_hda_controller btusb videobuf2_core hid_logitech_dj iwlwifi v4l2_common snd_hda_codec i2c_i801 ghash_clmulni_intel bluetooth snd_usbmidi_lib joydev videodev snd_hwdep ie31200_edac snd_seq snd_rawmidi serio_raw media snd_seq_device cfg80211 snd_pcm rtsx_pci mei_me snd_timer thinkpad_acpi mei lpc_ich shpchp snd edac_core mfd_core wmi soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video
Nov 25 06:04:49 redhat-laptop kernel: [   70.795878] CPU: 5 PID: 136 Comm: kworker/u16:7 Tainted: G        W      3.17.3-200.fc20.x86_64 #1
Nov 25 06:04:49 redhat-laptop kernel: [   70.795883] Hardware name: LENOVO 20BFS0EC00/20BFS0EC00, BIOS GMET31WW (1.11 ) 10/16/2013
Nov 25 06:04:49 redhat-laptop kernel: [   70.795929] Workqueue: i915-dp i915_digport_work_func [i915]
Nov 25 06:04:49 redhat-laptop kernel: [   70.795934]  0000000000000000 00000000b8bc7e03 ffff8800c8eb3ca0 ffffffff81728acc
Nov 25 06:04:49 redhat-laptop kernel: [   70.795944]  ffff8800c8eb3ce8 ffff8800c8eb3cd8 ffffffff81094e6d ffff880407e5f0e0
Nov 25 06:04:49 redhat-laptop kernel: [   70.795952]  ffff880407e5f120 0000000000000011 0000000000000001 ffff880405222800
Nov 25 06:04:49 redhat-laptop kernel: [   70.795961] Call Trace:
Nov 25 06:04:49 redhat-laptop kernel: [   70.795975]  [<ffffffff81728acc>] dump_stack+0x45/0x56
Nov 25 06:04:49 redhat-laptop kernel: [   70.795986]  [<ffffffff81094e6d>] warn_slowpath_common+0x7d/0xa0
Nov 25 06:04:49 redhat-laptop kernel: [   70.795995]  [<ffffffff81094eec>] warn_slowpath_fmt+0x5c/0x80
Nov 25 06:04:49 redhat-laptop kernel: [   70.796060]  [<ffffffffa014d398>] intel_edp_panel_vdd_on+0x38/0x40 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [   70.796110]  [<ffffffffa014d3cb>] intel_dp_probe_oui.part.20+0x2b/0x110 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [   70.796161]  [<ffffffffa014f7d1>] intel_dp_hpd_pulse+0x1a1/0x200 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [   70.796205]  [<ffffffffa0104f6d>] i915_digport_work_func+0x9d/0x120 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [   70.796216]  [<ffffffff810acdb9>] process_one_work+0x149/0x3d0
Nov 25 06:04:49 redhat-laptop kernel: [   70.796293]  [<ffffffff810ad43b>] worker_thread+0x11b/0x490
Nov 25 06:04:49 redhat-laptop kernel: [   70.796328]  [<ffffffff810ad320>] ? rescuer_thread+0x2e0/0x2e0
Nov 25 06:04:49 redhat-laptop kernel: [   70.796351]  [<ffffffff810b2498>] kthread+0xd8/0xf0
Nov 25 06:04:49 redhat-laptop kernel: [   70.796359]  [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190
Nov 25 06:04:49 redhat-laptop kernel: [   70.796369]  [<ffffffff817300fc>] ret_from_fork+0x7c/0xb0
Nov 25 06:04:49 redhat-laptop kernel: [   70.796377]  [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190
Nov 25 06:04:49 redhat-laptop kernel: [   70.796383] ---[ end trace 52bedd872c8f12ff ]---
Nov 25 06:04:49 redhat-laptop kernel: ------------[ cut here ]------------
Nov 25 06:04:49 redhat-laptop kernel: WARNING: CPU: 5 PID: 136 at drivers/gpu/drm/i915/intel_dp.c:1235 intel_edp_panel_vdd_on+0x38/0x40 [i915]()
Nov 25 06:04:49 redhat-laptop kernel: eDP VDD already requested on
Nov 25 06:04:49 redhat-laptop kernel: Modules linked in: ccm ipt_MASQUERADE rfcomm xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 rtsx_pci_sdmmc iTCO_wdt mmc_core rtsx_pci_ms memstick iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm iwlmvm mac80211 snd_hda_codec_realtek crct10dif_pclmul snd_hda_codec_generic crc32_pclmul snd_hda_codec_hdmi crc32c_intel uvcvideo snd_hda_intel snd_usb_audio videobuf2_vmalloc videobuf2_memops snd_hda_controller btusb videobuf2_core hid_logitech_dj
Nov 25 06:04:49 redhat-laptop kernel: iwlwifi v4l2_common snd_hda_codec i2c_i801 ghash_clmulni_intel bluetooth snd_usbmidi_lib joydev videodev snd_hwdep ie31200_edac snd_seq snd_rawmidi serio_raw media snd_seq_device cfg80211 snd_pcm rtsx_pci mei_me snd_timer thinkpad_acpi mei lpc_ich shpchp snd edac_core mfd_core wmi soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video
Nov 25 06:04:49 redhat-laptop kernel: CPU: 5 PID: 136 Comm: kworker/u16:7 Tainted: G        W      3.17.3-200.fc20.x86_64 #1
Nov 25 06:04:49 redhat-laptop kernel: Hardware name: LENOVO 20BFS0EC00/20BFS0EC00, BIOS GMET31WW (1.11 ) 10/16/2013
Nov 25 06:04:49 redhat-laptop kernel: Workqueue: i915-dp i915_digport_work_func [i915]
Nov 25 06:04:49 redhat-laptop kernel: 0000000000000000 00000000b8bc7e03 ffff8800c8eb3ca0 ffffffff81728acc
Nov 25 06:04:49 redhat-laptop kernel: ffff8800c8eb3ce8 ffff8800c8eb3cd8 ffffffff81094e6d ffff880407e5f0e0
Nov 25 06:04:49 redhat-laptop kernel: ffff880407e5f120 0000000000000011 0000000000000001 ffff880405222800
Nov 25 06:04:49 redhat-laptop kernel: Call Trace:
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff81728acc>] dump_stack+0x45/0x56
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff81094e6d>] warn_slowpath_common+0x7d/0xa0
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff81094eec>] warn_slowpath_fmt+0x5c/0x80
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffffa014d398>] intel_edp_panel_vdd_on+0x38/0x40 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffffa014d3cb>] intel_dp_probe_oui.part.20+0x2b/0x110 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffffa014f7d1>] intel_dp_hpd_pulse+0x1a1/0x200 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffffa0104f6d>] i915_digport_work_func+0x9d/0x120 [i915]
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810acdb9>] process_one_work+0x149/0x3d0
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810ad43b>] worker_thread+0x11b/0x490
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810ad320>] ? rescuer_thread+0x2e0/0x2e0
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810b2498>] kthread+0xd8/0xf0
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff817300fc>] ret_from_fork+0x7c/0xb0
Nov 25 06:04:49 redhat-laptop kernel: [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190
Nov 25 06:04:49 redhat-laptop kernel: ---[ end trace 52bedd872c8f12ff ]---
Comment 32 Fedora End Of Life 2015-05-29 07:32:56 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 33 Fedora End Of Life 2015-06-29 16:03:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.